<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>Sup</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<link rel="stylesheet" href="main.css" type="text/css" />
	</head>

	<body>
		<h1>Sup</h1>

		<blockquote>
		&ldquo;Finally a mail client that does what we want, how we want it.&rdquo;
		</blockquote>

		<blockquote>
		&ldquo;Every other client we've tried is intolerable.&rdquo;
		</blockquote>

		<blockquote>
		&ldquo;It's just what I wanted, but I hadn't realized what I wanted until I saw it.&rdquo;
		</blockquote>

		<blockquote>
		&ldquo;Sup is almost to the point where I could jump ship from mutt.&rdquo;
		</blockquote>

		<blockquote>
		&ldquo;I was previously intrigued by a gmail-styled
		mutt-killer written in Ruby, but having actually spent a few
		hours reading the docs, and trying out all the keys, and
		reading the docs again, and trying the keys out again, and then
		actually engaging in a bunch of practice usage runs, I now
		officially can't fucking wait for the future of this thing; it
		has my full attention.&rdquo;
		</blockquote>

			<p>
   Sup is a console-based email client for people with a lot of email.
   It supports tagging, very fast full-text search, automatic contact-
   list management, custom code insertion via a hook system, and more.
   If you're the type of person who treats email as an extension of your
   long-term memory, Sup is for you.
		</p>

		<p>
		Sup makes it easy to:
		</p>

		<ul>
			<li>
			Handle massive amounts of email.
			</li>

			<li>
			Mix email from different sources: mbox files, IMAP folders,
            and Maildirs, across multiple machines.</li>

			<li>
			Instantaneously search over your entire email collection.
			Search over body text, or use a query language to combine
			search predicates in any way.
			</li>

			<li>
			Handle multiple accounts. Replying to email sent to a
			particular account will use the correct SMTP server, signature,
			and from address.
			</li>

			<li>
			Add custom code to handle certain types of messages or to
			handle certain types of text within messages.
			</li>

			<li>
			Organize email with user-defined labels, automatically track
			recent contacts, and much more!
			</li>
		</ul>

		<p>
		The goal of Sup is to become the email client of choice for nerds
		everywhere.
		</p>

		<h2>Screenshots</h2>

		<ul id="screenshots">
			<li><a href="ss1.png"><img src="ss1-small.png" alt="Sup screenshot 1" /></a></li>
			<li><a href="ss2.png"><img src="ss2-small.png" alt="Sup screenshot 2" /></a></li>
			<li><a href="ss3.png"><img src="ss3-small.png" alt="Sup screenshot 3" /></a></li>
			<li><a href="ss4.png"><img src="ss4-small.png" alt="Sup screenshot 4" /></a></li>
			<li><a href="ss5.png"><img src="ss5-small.png" alt="Sup screenshot 5" /></a></li>
			<li><a href="ss6.png"><img src="ss6-small.png" alt="Sup screenshot 6" /></a></li>
		</ul>

		<h2>Documentation</h2>

		<p>
		Please read the <a href="README.txt">README</a>, the <a
			href="FAQ.txt">FAQ</a>, the <a href="NewUserGuide.txt">new user guide</a>
		and the <a href="Philosophy.txt">philosophical statement</a>.
		</p>

                <p> Please also read and contribute to the <a href="http://sup.rubyforge.org/wiki/wiki.pl">Sup wiki</a>. </p>

		<h2>Status</h2>

		<p>
		The current version of Sup is 0.5, released 2008-04-22. This is a
		beta release. It supports mbox, mbox over ssh, IMAP, IMAPS, and Maildir mailstores.
		</p>

        <p>Issue and release status is available on the <a href="ditz/">Sup ditz page</a>.</p>

		<h2>Getting it</h2>

		<p>
		You can download Sup releases from the <a
			href="http://rubyforge.org/projects/sup/">Sup RubyForge page</a>.
		If you have RubyGems installed, simply command your computer to "gem
		install sup".
		</p>

		<p>
		If you're interested in development, you can clone the git repository like so: <code>git clone git://repo.or.cz/sup.git</code>. You can also <a
			href="http://repo.or.cz/w/sup.git?a=shortlog">browse the git
			repository</a>.
		</p>

		<h2>Bug reports</h2>

		<p>
		Please post bug reports, feature requests, and any comments or discussion topics
		to the <a
			href="http://rubyforge.org/mailman/listinfo/sup-talk">sup-talk mailing list</a> (<a href="http://rubyforge.org/pipermail/sup-talk/">archives</a>).
		</p>

		<h2>Credit</h2>

		<p>
		Sup is brought to you by <a href="http://cs.stanford.edu/~ruby/">William Morgan</a> and the following honorable contributors:
        <ul>
          <li>Ismo Puustinen &lt;ismo at the iki dot fis&gt;</li>
          <li>Marcus Williams &lt;marcus-sup at the bar-coded dot nets&gt;</li>
          <li>Nicolas Pouillard &lt;nicolas.pouillard at the gmail dot coms&gt;</li>
          <li>Christopher Warrington &lt;chrisw at the rice dot edus&gt;</li>
          <li>Jeff Balogh &lt;its.jeff.balogh at the gmail dot coms&gt;</li>
        </ul>
        </p>

		<p>
		Sup is made possible by the hard work of <a
			href="http://www.davebalmain.com/">Dave Balmain</a> and his
		fantastic IR engine <a
			href="http://ferret.davebalmain.com/trac/">Ferret</a>, and by <a
			href="http://www.lickey.com/">Matt Armstrong</a>'s tragically
		abandoned <a href="http://www.rfc20.org/rubymail/">RubyMail</a>
		package (note: possibly no longer abandoned).
		</p>
	</body>
</html>
